﻿using Syncfusion.UI.Xaml.Controls.Navigation;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SfTreeViewNavigatorSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        ObservableCollection<TocItem> tocItems = new ObservableCollection<TocItem>();
          TocItem selectedChild    = new TocItem();
            
        public MainPage()
        {
            this.InitializeComponent();


            selectedChild.Name = "last selected";

            for (int i = 1; i < 100; i++)
            {

                TocItem tocItem = new TocItem();

                tocItem.Name = "TOC " + i.ToString();

                tocItems.Add(tocItem);

                for (int j = 1; j < 10; j++)
                {

                    TocItem subTocItem = new TocItem();

                    subTocItem.Name = "Sub Toc " + i.ToString() + " " + j.ToString();

                    tocItem.ChildTocItems.Add(subTocItem);

                    if (i == 1 && j == 1)
                    {
                        subTocItem.ChildTocItems.Add(selectedChild);
                    }


                }

            }
            treeNavigatorToc.ItemsSource = tocItems;
           

          
        }

        
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            treeNavigatorToc.Select(selectedChild);
           
        
          
        }
    }

    public class TocItem
    {
        public string Name { get; set; }
        public ObservableCollection<TocItem> ChildTocItems { get; set; }
        public TocItem()
        {
            ChildTocItems = new ObservableCollection<TocItem>();
        }
    }
}
